Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.utils
Class UnImplNode

    java.lang.Object
      |
      +--org.apache.xml.utils.UnImplNode

Direct Known Subclasses:
  ElemTemplateElement

public class UnImplNode
extends java.lang.Object
implements Node, Element, NodeList, Document

**For internal use only** To be subclassed by classes that wish to fake being nodes.

Constructor Summary
`UnImplNode()` Constructor UnImplNode

Method Summary
`Node` | `adoptNode(Node source)` NEEDSDOC Method adoptNode NEEDSDOC @param source NEEDSDOC (adoptNode) @return
`Node` | `appendChild(Node newChild)` Unimplemented.
`void` | `appendData(java.lang.String arg)` Unimplemented.
`Node` | `cloneNode(boolean deep)` Unimplemented.
`Attr` | `createAttribute(java.lang.String name)` Unimplemented.
`Attr` | `createAttributeNS(java.lang.String namespaceURI, java.lang.String qualifiedName)` Unimplemented.
`CDATASection` | `createCDATASection(java.lang.String data)` Unimplemented.
`Comment` | `createComment(java.lang.String data)` Unimplemented.
`DocumentFragment` | `createDocumentFragment()` Unimplemented.
`Element` | `createElement(java.lang.String tagName)` Unimplemented.
`Element` | `createElementNS(java.lang.String namespaceURI, java.lang.String qualifiedName)` Unimplemented.
`EntityReference` | `createEntityReference(java.lang.String name)` Unimplemented.
`ProcessingInstruction` | `createProcessingInstruction(java.lang.String target, java.lang.String data)` Unimplemented.
`Text` | `createTextNode(java.lang.String data)` Unimplemented.
`void` | `deleteData(int offset, int count)` Unimplemented.
`void` | `error(int msg)` Throw an error.
`void` | `error(int msg, java.lang.Object[] args)` Throw an error.
`java.lang.String` | `getAttribute(java.lang.String name)` Unimplemented.
`Attr` | `getAttributeNode(java.lang.String name)` Unimplemented.
`Attr` | `getAttributeNodeNS(java.lang.String namespaceURI, java.lang.String localName)` Unimplemented.
`java.lang.String` | `getAttributeNS(java.lang.String namespaceURI, java.lang.String localName)` Unimplemented.
`NamedNodeMap` | `getAttributes()` Unimplemented.
`NodeList` | `getChildNodes()` Unimplemented.
`DocumentType` | `getDoctype()` Unimplemented.
`Element` | `getDocumentElement()` Unimplemented.
`Element` | `getElementById(java.lang.String elementId)` Unimplemented.
`NodeList` | `getElementsByTagName(java.lang.String name)` Unimplemented.
`NodeList` | `getElementsByTagNameNS(java.lang.String namespaceURI, java.lang.String localName)` Unimplemented.
`java.lang.String` | `getEncoding()` EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..
`Node` | `getFirstChild()` Unimplemented.
`DOMImplementation` | `getImplementation()` Unimplemented.
`Node` | `getLastChild()` Unimplemented.
`int` | `getLength()` Unimplemented.
`java.lang.String` | `getLocalName()` Unimplemented.
`java.lang.String` | `getNamespaceURI()` Unimplemented.
`Node` | `getNextSibling()` Unimplemented.
`java.lang.String` | `getNodeName()` Unimplemented.
`short` | `getNodeType()` Unimplemented.
`java.lang.String` | `getNodeValue()` Unimplemented.
`Document` | `getOwnerDocument()` Unimplemented.
`Element` | `getOwnerElement()` Unimplemented.
`Node` | `getParentNode()` Unimplemented.
`java.lang.String` | `getPrefix()` Unimplemented.
`Node` | `getPreviousSibling()` Unimplemented.
`boolean` | `getSpecified()` Unimplemented.
`boolean` | `getStandalone()` EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..
`boolean` | `getStrictErrorChecking()` EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..
`java.lang.String` | `getTagName()` Unimplemented.
`java.lang.String` | `getVersion()` EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..
`boolean` | `hasAttribute(java.lang.String name)` Unimplemented.
`boolean` | `hasAttributeNS(java.lang.String name, java.lang.String x)` Unimplemented.
`boolean` | `hasAttributes()` Unimplemented.
`boolean` | `hasChildNodes()` Unimplemented.
`Node` | `importNode(Node importedNode, boolean deep)` Unimplemented.
`Node` | `insertBefore(Node newChild, Node refChild)` Unimplemented.
`void` | `insertData(int offset, java.lang.String arg)` Unimplemented.
`boolean` | `isSupported(java.lang.String feature, java.lang.String version)` Tests whether the DOM implementation implements a specific feature and that feature is supported by this node.
`Node` | `item(int index)` Unimplemented.
`void` | `normalize()` Unimplemented.
`void` | `removeAttribute(java.lang.String name)` Unimplemented.
`Attr` | `removeAttributeNode(Attr oldAttr)` Unimplemented.
`void` | `removeAttributeNS(java.lang.String namespaceURI, java.lang.String localName)` Unimplemented.
`Node` | `removeChild(Node oldChild)` Unimplemented.
`Node` | `replaceChild(Node newChild, Node oldChild)` Unimplemented.
`void` | `replaceData(int offset, int count, java.lang.String arg)` Unimplemented.
`void` | `setAttribute(java.lang.String name, java.lang.String value)` Unimplemented.
`Attr` | `setAttributeNode(Attr newAttr)` Unimplemented.
`Attr` | `setAttributeNodeNS(Attr newAttr)` Unimplemented.
`void` | `setAttributeNS(java.lang.String namespaceURI, java.lang.String qualifiedName, java.lang.String value)` Unimplemented.
`void` | `setData(java.lang.String data)` Set Node data
`void` | `setEncoding(java.lang.String encoding)` EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..
`void` | `setNodeValue(java.lang.String nodeValue)` Unimplemented.
`void` | `setPrefix(java.lang.String prefix)` Unimplemented.
`void` | `setStandalone(boolean standalone)` EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..
`void` | `setStrictErrorChecking(boolean strictErrorChecking)` EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..
`void` | `setValue(java.lang.String value)` Unimplemented.
`void` | `setVersion(java.lang.String version)` EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..
`Text` | `splitText(int offset)` Unimplemented.
`java.lang.String` | `substringData(int offset, int count)` Unimplemented.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnImplNode

    public UnImplNode()

  Constructor UnImplNode

Method Detail

### error

    public void error(int msg)

  Throw an error.
  Parameters:
    `msg` - Message code for the error

### error

    public void error(int msg,
                      java.lang.Object[] args)

  Throw an error.
  Parameters:
    `msg` - Message code for the error
    `args` - Array of arguments to be used in the error message

### appendChild

    public Node appendChild(Node newChild)
                     throws DOMException

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    appendChild in interface Node
  Parameters:
    `newChild` - New node to append to the list of this node's children
  Returns:
    null
  Throws:
    DOMException -

### hasChildNodes

    public boolean hasChildNodes()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    hasChildNodes in interface Node
  Returns:
    false

### getNodeType

    public short getNodeType()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getNodeType in interface Node
  Returns:
    0

### getParentNode

    public Node getParentNode()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getParentNode in interface Node
  Returns:
    null

### getChildNodes

    public NodeList getChildNodes()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getChildNodes in interface Node
  Returns:
    null

### getFirstChild

    public Node getFirstChild()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getFirstChild in interface Node
  Returns:
    null

### getLastChild

    public Node getLastChild()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getLastChild in interface Node
  Returns:
    null

### getNextSibling

    public Node getNextSibling()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getNextSibling in interface Node
  Returns:
    null

### getLength

    public int getLength()

  Unimplemented. See org.w3c.dom.NodeList
  Specified by:
    getLength in interface NodeList
  Returns:
    0

### item

    public Node item(int index)

  Unimplemented. See org.w3c.dom.NodeList
  Specified by:
    item in interface NodeList
  Parameters:
    `index` - index of a child of this node in its list of children
  Returns:
    null

### getOwnerDocument

    public Document getOwnerDocument()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getOwnerDocument in interface Node
  Returns:
    null

### getTagName

    public java.lang.String getTagName()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getTagName in interface Element
  Returns:
    null

### getNodeName

    public java.lang.String getNodeName()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getNodeName in interface Node
  Returns:
    null

### normalize

    public void normalize()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    normalize in interface Node

### getElementsByTagName

    public NodeList getElementsByTagName(java.lang.String name)

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    getElementsByTagName in interface Element
  Parameters:
    `name` - Name of the element
  Returns:
    null

### removeAttributeNode

    public Attr removeAttributeNode(Attr oldAttr)
                             throws DOMException

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    removeAttributeNode in interface Element
  Parameters:
    `oldAttr` - Attribute to be removed from this node's list of attributes
  Returns:
    null
  Throws:
    DOMException -

### setAttributeNode

    public Attr setAttributeNode(Attr newAttr)
                          throws DOMException

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    setAttributeNode in interface Element
  Parameters:
    `newAttr` - Attribute node to be added to this node's list of attributes
  Returns:
    null
  Throws:
    DOMException -

### hasAttribute

    public boolean hasAttribute(java.lang.String name)

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    hasAttribute in interface Element
  Parameters:
    `name` - Name of an attribute
  Returns:
    false

### hasAttributeNS

    public boolean hasAttributeNS(java.lang.String name,
                                  java.lang.String x)

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    hasAttributeNS in interface Element
  Parameters:
    `name` -
    `x` -
  Returns:
    false

### getAttributeNode

    public Attr getAttributeNode(java.lang.String name)

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    getAttributeNode in interface Element
  Parameters:
    `name` - Attribute node name
  Returns:
    null

### removeAttribute

    public void removeAttribute(java.lang.String name)
                         throws DOMException

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    removeAttribute in interface Element
  Parameters:
    `name` - Attribute node name to remove from list of attributes
  Throws:
    DOMException -

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.String value)
                      throws DOMException

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    setAttribute in interface Element
  Parameters:
    `name` - Name of attribute to set
    `value` - Value of attribute
  Throws:
    DOMException -

### getAttribute

    public java.lang.String getAttribute(java.lang.String name)

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    getAttribute in interface Element
  Parameters:
    `name` - Name of attribute to get
  Returns:
    null

### hasAttributes

    public boolean hasAttributes()

  Unimplemented. Introduced in DOM Level 2.
  Specified by:
    hasAttributes in interface Node
  Returns:
    false

### getElementsByTagNameNS

    public NodeList getElementsByTagNameNS(java.lang.String namespaceURI,
                                           java.lang.String localName)

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    getElementsByTagNameNS in interface Element
  Parameters:
    `namespaceURI` - Namespace URI of the element
    `localName` - Local part of qualified name of the element
  Returns:
    null

### setAttributeNodeNS

    public Attr setAttributeNodeNS(Attr newAttr)
                            throws DOMException

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    setAttributeNodeNS in interface Element
  Parameters:
    `newAttr` - Attribute to set
  Returns:
    null
  Throws:
    DOMException -

### getAttributeNodeNS

    public Attr getAttributeNodeNS(java.lang.String namespaceURI,
                                   java.lang.String localName)

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    getAttributeNodeNS in interface Element
  Parameters:
    `namespaceURI` - Namespace URI of attribute node to get
    `localName` - Local part of qualified name of attribute node to get
  Returns:
    null

### removeAttributeNS

    public void removeAttributeNS(java.lang.String namespaceURI,
                                  java.lang.String localName)
                           throws DOMException

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    removeAttributeNS in interface Element
  Parameters:
    `namespaceURI` - Namespace URI of attribute node to remove
    `localName` - Local part of qualified name of attribute node to remove
  Throws:
    DOMException -

### setAttributeNS

    public void setAttributeNS(java.lang.String namespaceURI,
                               java.lang.String qualifiedName,
                               java.lang.String value)
                        throws DOMException

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    setAttributeNS in interface Element
  Parameters:
    `namespaceURI` - Namespace URI of attribute node to set
    `localName` - Local part of qualified name of attribute node to set NEEDSDOC @param qualifiedName
    `value` - value of attribute
  Throws:
    DOMException -

### getAttributeNS

    public java.lang.String getAttributeNS(java.lang.String namespaceURI,
                                           java.lang.String localName)

  Unimplemented. See org.w3c.dom.Element
  Specified by:
    getAttributeNS in interface Element
  Parameters:
    `namespaceURI` - Namespace URI of attribute node to get
    `localName` - Local part of qualified name of attribute node to get
  Returns:
    null

### getPreviousSibling

    public Node getPreviousSibling()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getPreviousSibling in interface Node
  Returns:
    null

### cloneNode

    public Node cloneNode(boolean deep)

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    cloneNode in interface Node
  Parameters:
    `deep` - Flag indicating whether to clone deep (clone member variables)
  Returns:
    null

### getNodeValue

    public java.lang.String getNodeValue()
                                  throws DOMException

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getNodeValue in interface Node
  Returns:
    null
  Throws:
    DOMException -

### setNodeValue

    public void setNodeValue(java.lang.String nodeValue)
                      throws DOMException

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    setNodeValue in interface Node
  Parameters:
    `nodeValue` - Value to set this node to
  Throws:
    DOMException -

### setValue

    public void setValue(java.lang.String value)
                  throws DOMException

  Unimplemented. See org.w3c.dom.Node
  Parameters:
    `value` - Value to set this node to
  Throws:
    DOMException -

### getOwnerElement

    public Element getOwnerElement()

  Unimplemented. See org.w3c.dom.Node
  Returns:
    null

### getSpecified

    public boolean getSpecified()

  Unimplemented. See org.w3c.dom.Node
  Returns:
    False

### getAttributes

    public NamedNodeMap getAttributes()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getAttributes in interface Node
  Returns:
    null

### insertBefore

    public Node insertBefore(Node newChild,
                             Node refChild)
                      throws DOMException

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    insertBefore in interface Node
  Parameters:
    `newChild` - New child node to insert
    `refChild` - Insert in front of this child
  Returns:
    null
  Throws:
    DOMException -

### replaceChild

    public Node replaceChild(Node newChild,
                             Node oldChild)
                      throws DOMException

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    replaceChild in interface Node
  Parameters:
    `newChild` - Replace existing child with this one
    `oldChild` - Existing child to be replaced
  Returns:
    null
  Throws:
    DOMException -

### removeChild

    public Node removeChild(Node oldChild)
                     throws DOMException

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    removeChild in interface Node
  Parameters:
    `oldChild` - Child to be removed
  Returns:
    null
  Throws:
    DOMException -

### isSupported

    public boolean isSupported(java.lang.String feature,
                               java.lang.String version)

  Tests whether the DOM implementation implements a specific feature and that feature is supported by this node.
  Specified by:
    isSupported in interface Node
  Parameters:
    `featureThe` - name of the feature to test. This is the same name which can be passed to the method `hasFeature` on `DOMImplementation`.
    `versionThis` - is the version number of the feature to test. In Level 2, version 1, this is the string "2.0". If the version is not specified, supporting any version of the feature will cause the method to return `true`. NEEDSDOC @param feature NEEDSDOC @param version
  Returns:
    Returns `false`
  Since:
    DOM Level 2

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getNamespaceURI in interface Node
  Returns:
    null

### getPrefix

    public java.lang.String getPrefix()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getPrefix in interface Node
  Returns:
    null

### setPrefix

    public void setPrefix(java.lang.String prefix)
                   throws DOMException

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    setPrefix in interface Node
  Parameters:
    `prefix` - Prefix to set for this node
  Throws:
    DOMException -

### getLocalName

    public java.lang.String getLocalName()

  Unimplemented. See org.w3c.dom.Node
  Specified by:
    getLocalName in interface Node
  Returns:
    null

### getDoctype

    public DocumentType getDoctype()

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    getDoctype in interface Document
  Returns:
    null

### getImplementation

    public DOMImplementation getImplementation()

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    getImplementation in interface Document
  Returns:
    null

### getDocumentElement

    public Element getDocumentElement()

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    getDocumentElement in interface Document
  Returns:
    null

### createElement

    public Element createElement(java.lang.String tagName)
                          throws DOMException

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    createElement in interface Document
  Parameters:
    `tagName` - Element tag name
  Returns:
    null
  Throws:
    DOMException -

### createDocumentFragment

    public DocumentFragment createDocumentFragment()

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    createDocumentFragment in interface Document
  Returns:
    null

### createTextNode

    public Text createTextNode(java.lang.String data)

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    createTextNode in interface Document
  Parameters:
    `data` - Data for text node
  Returns:
    null

### createComment

    public Comment createComment(java.lang.String data)

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    createComment in interface Document
  Parameters:
    `data` - Data for comment
  Returns:
    null

### createCDATASection

    public CDATASection createCDATASection(java.lang.String data)
                                    throws DOMException

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    createCDATASection in interface Document
  Parameters:
    `data` - Data for CDATA section
  Returns:
    null
  Throws:
    DOMException -

### createProcessingInstruction

    public ProcessingInstruction createProcessingInstruction(java.lang.String target,
                                                             java.lang.String data)
                                                      throws DOMException

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    createProcessingInstruction in interface Document
  Parameters:
    `target` - Target for Processing instruction
    `data` - Data for Processing instruction
  Returns:
    null
  Throws:
    DOMException -

### createAttribute

    public Attr createAttribute(java.lang.String name)
                         throws DOMException

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    createAttribute in interface Document
  Parameters:
    `name` - Attribute name
  Returns:
    null
  Throws:
    DOMException -

### createEntityReference

    public EntityReference createEntityReference(java.lang.String name)
                                          throws DOMException

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    createEntityReference in interface Document
  Parameters:
    `name` - Entity Reference name
  Returns:
    null
  Throws:
    DOMException -

### importNode

    public Node importNode(Node importedNode,
                           boolean deep)
                    throws DOMException

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    importNode in interface Document
  Parameters:
    `importedNodeThe` - node to import.
    `deepIf` - `true`, recursively import the subtree under the specified node; if `false`, import only the node itself, as explained above. This has no effect on `Attr` , `EntityReference`, and `Notation` nodes. NEEDSDOC @param importedNode NEEDSDOC @param deep
  Returns:
    null
  Throws:
    DOMException -

### createElementNS

    public Element createElementNS(java.lang.String namespaceURI,
                                   java.lang.String qualifiedName)
                            throws DOMException

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    createElementNS in interface Document
  Parameters:
    `namespaceURI` - Namespace URI for the element
    `qualifiedName` - Qualified name of the element
  Returns:
    null
  Throws:
    DOMException -

### createAttributeNS

    public Attr createAttributeNS(java.lang.String namespaceURI,
                                  java.lang.String qualifiedName)
                           throws DOMException

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    createAttributeNS in interface Document
  Parameters:
    `namespaceURI` - Namespace URI of the attribute
    `qualifiedName` - Qualified name of the attribute
  Returns:
    null
  Throws:
    DOMException -

### getElementById

    public Element getElementById(java.lang.String elementId)

  Unimplemented. See org.w3c.dom.Document
  Specified by:
    getElementById in interface Document
  Parameters:
    `elementId` - ID of the element to get
  Returns:
    null

### setData

    public void setData(java.lang.String data)
                 throws DOMException

  Set Node data
  Parameters:
    `data` - data to set for this node
  Throws:
    DOMException -

### substringData

    public java.lang.String substringData(int offset,
                                          int count)
                                   throws DOMException

  Unimplemented.
  Parameters:
    `offset` - Start offset of substring to extract.
    `count` - The length of the substring to extract.
  Returns:
    null
  Throws:
    DOMException -

### appendData

    public void appendData(java.lang.String arg)
                    throws DOMException

  Unimplemented.
  Parameters:
    `arg` - String data to append
  Throws:
    DOMException -

### insertData

    public void insertData(int offset,
                           java.lang.String arg)
                    throws DOMException

  Unimplemented.
  Parameters:
    `offset` - Start offset of substring to insert.
    `count` - The length of the substring to insert. NEEDSDOC @param arg
  Throws:
    DOMException -

### deleteData

    public void deleteData(int offset,
                           int count)
                    throws DOMException

  Unimplemented.
  Parameters:
    `offset` - Start offset of substring to delete.
    `count` - The length of the substring to delete.
  Throws:
    DOMException -

### replaceData

    public void replaceData(int offset,
                            int count,
                            java.lang.String arg)
                     throws DOMException

  Unimplemented.
  Parameters:
    `offset` - Start offset of substring to replace.
    `count` - The length of the substring to replace.
    `arg` - substring to replace with
  Throws:
    DOMException -

### splitText

    public Text splitText(int offset)
                   throws DOMException

  Unimplemented.
  Parameters:
    `offset` - Offset into text to split
  Returns:
    null, unimplemented
  Throws:
    DOMException -

### adoptNode

    public Node adoptNode(Node source)
                   throws DOMException

  NEEDSDOC Method adoptNode NEEDSDOC @param source NEEDSDOC (adoptNode) @return
  Throws:
    DOMException -

### getEncoding

    public java.lang.String getEncoding()

  EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..

  An attribute specifying, as part of the XML declaration, the encoding of this document. This is `null` when unspecified.

  Since:
    DOM Level 3 NEEDSDOC ($objectName$) @return

### setEncoding

    public void setEncoding(java.lang.String encoding)

  EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..

  An attribute specifying, as part of the XML declaration, the encoding of this document. This is `null` when unspecified.

  Since:
    DOM Level 3 NEEDSDOC @param encoding

### getStandalone

    public boolean getStandalone()

  EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..

  An attribute specifying, as part of the XML declaration, whether this document is standalone.

  Since:
    DOM Level 3 NEEDSDOC ($objectName$) @return

### setStandalone

    public void setStandalone(boolean standalone)

  EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..

  An attribute specifying, as part of the XML declaration, whether this document is standalone.

  Since:
    DOM Level 3 NEEDSDOC @param standalone

### getStrictErrorChecking

    public boolean getStrictErrorChecking()

  EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..

  An attribute specifying whether errors checking is enforced or not. When set to `false`, the implementation is free to not test every possible error case normally defined on DOM operations, and not raise any `DOMException`. In case of error, the behavior is undefined. This attribute is `true` by defaults.

  Since:
    DOM Level 3 NEEDSDOC ($objectName$) @return

### setStrictErrorChecking

    public void setStrictErrorChecking(boolean strictErrorChecking)

  EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..

  An attribute specifying whether errors checking is enforced or not. When set to `false`, the implementation is free to not test every possible error case normally defined on DOM operations, and not raise any `DOMException`. In case of error, the behavior is undefined. This attribute is `true` by defaults.

  Since:
    DOM Level 3 NEEDSDOC @param strictErrorChecking

### getVersion

    public java.lang.String getVersion()

  EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..

  An attribute specifying, as part of the XML declaration, the version number of this document. This is `null` when unspecified.

  Since:
    DOM Level 3 NEEDSDOC ($objectName$) @return

### setVersion

    public void setVersion(java.lang.String version)

  EXPERIMENTAL! Based on the Document Object Model (DOM) Level 3 Core Working Draft of 5 June 2001..

  An attribute specifying, as part of the XML declaration, the version number of this document. This is `null` when unspecified.

  Since:
    DOM Level 3 NEEDSDOC @param version

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.